#include <iostream>

using namespace std;

struct Rezultat{
    long long int a;
    long long int b;
};


Rezultat konacan;
Rezultat trenutan;

void Unos(){
    cin>>konacan.a>>konacan.b;
    cin>>trenutan.a>>trenutan.b;
}

int Provera(){
    if(konacan.a==trenutan.a && konacan.b == trenutan.b){  
        cout<<"nijedan";
    }else if(konacan.a==trenutan.a){
        cout<<"drugi";
    }else if(konacan.b == trenutan.b){
        cout<<"prvi";
    }else{
        cout<<'?';
    }
}

int main()
{
    Unos();
    Provera();
}